using Microsoft.Extensions.DependencyInjection;
using Postall.Domain;
using Postall.Domain.Services.Contracts;
using Postall.Infra.Services;

namespace BaseDomain.Extensions
{
    public static class ServiceCollectionExtensions
    {
        public static IServiceCollection AddYouTubeServices(this IServiceCollection services)
        {
            services.AddHttpContextAccessor();

            services.AddScoped<IVideoService, YouTubeServiceVideo>();

            services.AddScoped<IChannelService, ChannelVideoService>();

            services.AddScoped<IChannelYoutubeService, ChannelYoutubeService>();

            return services;
        }
    }
}
